Waardering 5 van 5 sterren

Great theme! , but please update it for Firefox 17.0a1. You said that version 15beta1 is compatible, but i can´t install it.

Deze beoordeling betreft een eerdere versie van de add-on (13.1).